make check in examples/ directory is far too slow

17 Mar 2014 20:35 - John Abbott

Status: Closed Start date: 17 Mar 2014

Priority: Low Due date:  

Assignee: John Abbott % Done: 100%

Category: Various Estimated time: 1.01 hour

Target version: CoCoALib-0.99533 Easter14 Spent time: 0.75 hour

Description

On my machine make check takes about 160s (not counting compilation!).

That is too slow (especially on my poor little netbook where it takes far longer!)

Related issues:

Related to CoCoALib - Slug #417: ex-Normaliz2-overflow.in too long & too much... Closed 04 Dec 2013

History

#1 - 17 Mar 2014 21:00 - John Abbott

The worst culprit is ex-Normaliz2 which takes about 90s on my machine -- that's more than half the total time!

The next culprits are ex-DivMask2 and ex-PPWithMask2 which each take about 10s.

Then ex-GMPAllocator2 and ex-PPMonoidElem2 take over 7s each.

I think it is clear where an improvement is needed!

Christof: Can we find an ex-Normaliz2.in which stays below 10s on my machine, and which is still "meaningful"?

#2 - 19 Mar 2014 21:24 - Christof Soeger

Right now I have only very limited Internet access, so I'm unsure what the current Version of ex-Normaliz does. We wrote about it earlier, since it was

taking too much memory and I made some suggestions. Have you changed it?

Anyway, try to change the computation from HilbertBasis to SupportHyperplanes. That should compute in basically no time and still trigger the use of

mpz_class.

#3 - 21 Mar 2014 12:10 - John Abbott

- Status changed from New to Feedback

- % Done changed from 0 to 90

Thanks Christof!

I have made the change you suggested, and now it is much faster (5.5s).

#4 - 01 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99533 Easter14

25 Apr 2024 1/2



#5 - 15 Apr 2014 13:03 - John Abbott

- Status changed from Feedback to Closed

- Assignee set to John Abbott

- % Done changed from 90 to 100

Now it takes 60s on my machine which is quite acceptable.

Closing.

#6 - 17 Apr 2014 09:51 - Anna Maria Bigatti

- Estimated time set to 1.01 h
